Retrieve a ticket
curl --request GET \
--url https://api.spacebring.com/support/tickets/v1/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/support/tickets/v1/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/support/tickets/v1/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activities": [
{
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticketRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"attachments": [
{
"key": "<string>",
"mime": "<string>",
"name": "<string>",
"size": 123,
"url": "<string>",
"height": 123,
"width": 123
}
],
"membershipAssignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roleType": "<string>",
"type": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"photoUrl": "<string>",
"blocked": true,
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
}
},
"previousAttributes": {
"membershipAssignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roleType": "<string>",
"type": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"photoUrl": "<string>",
"blocked": true,
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
}
},
"userAssignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"photoUrl": "<string>",
"blocked": true,
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
},
"userRefAssignee": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"text": "<string>",
"userAssignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"photoUrl": "<string>",
"blocked": true,
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
},
"userRefAssignee": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"lemAI": {
"name": "<string>",
"photoUrl": "<string>"
},
"membership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roleType": "<string>",
"type": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"photoUrl": "<string>",
"blocked": true,
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
}
}
}
],
"ticket": {
"createDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 0,
"updateDate": "2023-11-07T05:31:56Z",
"membershipAssignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roleType": "<string>",
"type": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"photoUrl": "<string>",
"blocked": true,
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
}
},
"membershipRefAssignee": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRefRequester": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRequester": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roleType": "<string>",
"type": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"photoUrl": "<string>",
"blocked": true,
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
}
},
"statusUpdateDate": "2023-11-07T05:31:56Z",
"userAssignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"photoUrl": "<string>",
"blocked": true,
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
},
"userRefAssignee": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userRequester": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"photoUrl": "<string>",
"blocked": true,
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
}
}
}{
"message": "<string>",
"type": "<string>"
}Support
Retrieve a ticket
Retrieve a support ticket.
OAuth
Required scopes:support.readonly or supportGET
/
support
/
tickets
/
v1
/
{id}
Retrieve a ticket
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the ticket.
Was this page helpful?
⌘I